Bug 15185 - 3 subroutines are unused in C4::Circulation
Summary: 3 subroutines are unused in C4::Circulation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-13 11:43 UTC by Jonathan Druart
Modified: 2016-06-21 21:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15185: Remove Check*Holidays subroutines in C4::Circulation (3.07 KB, patch)
2015-11-13 11:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15185: Remove Check*Holidays subroutines in C4::Circulation (3.16 KB, patch)
2015-11-13 19:02 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 15185: Remove Check*Holidays subroutines in C4::Circulation (3.22 KB, patch)
2015-11-15 22:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-11-13 11:43:27 UTC

    
Comment 1 Jonathan Druart 2015-11-13 11:45:54 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-11-13 19:02:08 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-15 22:51:26 UTC
Created attachment 44870 [details] [review]
[PASSED QA] Bug 15185: Remove Check*Holidays subroutines in C4::Circulation

These 3 subroutines are not used anymore:
- CheckRepeatableHolidays
- CheckSpecialHolidays
- CheckRepeatableSpecialHolidays

Moreover we have subroutines in Koha::Calendar to do this job.

Test plan:
  git grep CheckRepeatableHolidays
  git grep CheckSpecialHolidays
  git grep CheckRepeatableSpecialHolidays
should not return any results.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Subroutines removed

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-11-17 13:07:13 UTC
Patch pushed to master.

Thanks Jonathan!